Package org.eclipse.viatra.query.runtime.rete.recipes

## Interface JoinRecipe

- All Superinterfaces:
    `BetaRecipe`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `ReteNodeRecipe`
  All Known Implementing Classes:
    `JoinRecipeImpl`

      public interface JoinRecipe
      extends BetaRecipe

  A representation of the model object 'Join Recipe'. The most basic beta operation, the join node performs a join operation over two input tuple sets.

  The following features are supported:

  - `Right Parent Complementary Mask`
  See Also:
    `RecipesPackage.getJoinRecipe()`
  Generated:
  Model:

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getArity()`
    `Mask` | `getRightParentComplementaryMask()` | Returns the value of the 'Right Parent Complementary Mask' containment reference.
    `void` | `setRightParentComplementaryMask​(Mask value)` | Sets the value of the '`Right Parent Complementary Mask`' containment reference.

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.BetaRecipe

      `getLeftParent, getRightParent, setLeftParent, setRightParent`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### getRightParentComplementaryMask

          Mask getRightParentComplementaryMask()

      Returns the value of the 'Right Parent Complementary Mask' containment reference.
      Returns:
        the value of the 'Right Parent Complementary Mask' containment reference.
      See Also:
        `setRightParentComplementaryMask(Mask)`, `RecipesPackage.getJoinRecipe_RightParentComplementaryMask()`
      Generated:
      Model:
        containment="true"

    - #### setRightParentComplementaryMask

          void setRightParentComplementaryMask​(Mask value)

      Sets the value of the '`Right Parent Complementary Mask`' containment reference.
      Parameters:
        `value` - the new value of the 'Right Parent Complementary Mask' containment reference.
      See Also:
        `getRightParentComplementaryMask()`
      Generated:

    - #### getArity

          int getArity()

      Specified by:
        `getArity` in interface `ReteNodeRecipe`
      Generated:
      Model:
        kind="operation" unique="false"